OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
MaskTileBorders< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | InputValueType = typename InputTreeType::ValueType
using | BoolTreeType = typename InputTreeType::template ValueConverter< bool >::Type

## Public Member Functions
| MaskTileBorders (const InputTreeType &inputTree, InputValueType iso, BoolTreeType &mask, const Vec4i *tileArray)
| MaskTileBorders (MaskTileBorders &rhs, tbb::split)
void | join (MaskTileBorders &rhs)
void | operator() (const tbb::blocked_range< size_t > &)

## Member Typedef Documentation

## ◆ BoolTreeType

using BoolTreeType = typename InputTreeType::template ValueConverter<bool>::Type

## ◆ InputValueType

using InputValueType = typename InputTreeType::ValueType

## Constructor & Destructor Documentation

## ◆ MaskTileBorders() [1/2]

MaskTileBorders | ( | const InputTreeType & | inputTree,
|  | InputValueType | iso,
|  | BoolTreeType & | mask,
|  | const Vec4i * | tileArray
| ) |  |
| inline

## ◆ MaskTileBorders() [2/2]

MaskTileBorders | ( | MaskTileBorders< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MaskTileBorders< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h